import { __assign, __rest } from "tslib";
import * as React from "react";
import { IconStyled } from "../styles";
var IconBrokenCourthouse = function (_a) {
    var className = _a.className, props = __rest(_a, ["className"]);
    return (React.createElement(IconStyled, { className: className }, React.createElement("svg", __assign({ width: "1em", height: "1em", viewBox: "0 0 24 24", fill: "none", xmlns: "http://www.w3.org/2000/svg" }, props),
        React.createElement("path", { d: "M2 22H22", stroke: "currentColor", strokeWidth: 1.5, strokeMiterlimit: 10, strokeLinecap: "round", strokeLinejoin: "round" }),
        React.createElement("path", { d: "M12 2C13.6 2.64 15.4 2.64 17 2V5C15.4 5.64 13.6 5.64 12 5V2Z", stroke: "currentColor", strokeWidth: 1.5, strokeMiterlimit: 10, strokeLinecap: "round", strokeLinejoin: "round" }),
        React.createElement("path", { d: "M12 5V8", stroke: "currentColor", strokeWidth: 1.5, strokeMiterlimit: 10, strokeLinecap: "round", strokeLinejoin: "round" }),
        React.createElement("path", { d: "M4 15.91V22H20V11C20 9 19 8 17 8H7C5 8 4 9 4 11V12", stroke: "currentColor", strokeWidth: 1.5, strokeMiterlimit: 10, strokeLinecap: "round", strokeLinejoin: "round" }),
        React.createElement("path", { d: "M4 12H19.42", stroke: "currentColor", strokeWidth: 1.5, strokeMiterlimit: 10, strokeLinecap: "round", strokeLinejoin: "round" }),
        React.createElement("path", { d: "M7.99023 12V22", stroke: "currentColor", strokeWidth: 1.5, strokeMiterlimit: 10, strokeLinejoin: "round" }),
        React.createElement("path", { d: "M11.9902 12V22", stroke: "currentColor", strokeWidth: 1.5, strokeMiterlimit: 10, strokeLinejoin: "round" }),
        React.createElement("path", { d: "M15.9902 12V22", stroke: "currentColor", strokeWidth: 1.5, strokeMiterlimit: 10, strokeLinejoin: "round" }))));
};
export default IconBrokenCourthouse;
